!!ARBfp1.0

ATTRIB iColor = fragment.color.primary;
#ATTRIB iColorSec = fragment.color.secondary;
ATTRIB iCoord = fragment.texcoord;
#ATTRIB iCoordFog = fragment.fogcoord;
#ATTRIB iPosition = fragment.position;

PARAM bwdesc = program.local[0]; # x: border;

OUTPUT oColor = result.color;
#OUTPUT oDepth = result.depth;

#---------#
# Program #
#---------#

# mix texture & primary color
TEMP samp;
TXP samp, iCoord, texture, 2D;
TEMP out;
MUL out, samp, iColor;

# convert to gray scale
TEMP src;
MOV src, out;
MUL samp.rgb, out, 0.33;
MOV out, 0.0;
ADD out, out, samp.r;
ADD out, out, samp.g;
ADD out, out, samp.b;

# convert to black & white
TEMP border;
MOV border, bwdesc.x;
ADD out, out, -border;
CMP out, out, 0.0, 1.0;
MOV out.a, src.a;

# set output
MOV oColor, out;

END